Skip to content

Radar: contract code search

4 endpoints. Every path below is served by trilocore-radar behind the gateway at https://api.trilocore.ai.

POST /api/v1/radar/code/search

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-radar

Request body

Field Type Required Constraints
page_size integer no maximum 500, minimum 1
page_token string no —
q string no maxLength 4096
curl -X POST https://api.trilocore.ai/api/v1/radar/code/search \
  -H "Authorization: Bearer $TRILOCORE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"page_size": 1, "page_token": "…", "q": "chain: 1 and opcodes: DELEGATECALL"}'

POST /api/v1/radar/code/search:count

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-radar

Request body

Field Type Required Constraints
page_size integer no maximum 500, minimum 1
page_token string no —
q string no maxLength 4096
curl -X POST https://api.trilocore.ai/api/v1/radar/code/search:count \
  -H "Authorization: Bearer $TRILOCORE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"page_size": 1, "page_token": "…", "q": "chain: 1 and opcodes: DELEGATECALL"}'

POST /api/v1/radar/code/search:facets

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-radar

Request body

Field Type Required Constraints
facets array yes maxItems 32, minItems 1
q string no maxLength 4096
curl -X POST https://api.trilocore.ai/api/v1/radar/code/search:facets \
  -H "Authorization: Bearer $TRILOCORE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"facets": ["opcodes: delegatecall", "gates_present = false"]}'

GET /api/v1/radar/code/{code_id}

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-radar
curl -X GET https://api.trilocore.ai/api/v1/radar/code/{code_id} \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"